Bug 1277258 - The Provision VM hour and minute popups have poor or no formatting being applied.
Summary: The Provision VM hour and minute popups have poor or no formatting being appl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.5.0
Assignee: Robin Knaur
QA Contact: Jeff Teehan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-02 20:21 UTC by Jeff Teehan
Modified: 2015-12-08 13:43 UTC (History)
8 users (show)

Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 13:43:07 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Scheduling fields on Provision VM (19.95 KB, image/png)
2015-11-02 20:21 UTC, Jeff Teehan
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 0 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Description Jeff Teehan 2015-11-02 20:21:01 UTC
Created attachment 1088712 [details]
Scheduling fields on Provision VM

Description of problem:

The Provision VM hour and minute popups have poor formatting being applied.  There is no padding, no label, and the field width is way too wide given the content.

I took a picture.

Version-Release number of selected component (if applicable):
5.5.0.8

How reproducible:
I tried on multiple appliances with Chrome, Firefox, and IE


Steps to Reproduce:
Use LifeCycle to Provision a VM.
Click the Schedule Tab
Click the schedule radio button.

Actual results:


Expected results:


Additional info:

Comment 4 CFME Bot 2015-11-09 15:15:28 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/2b58b7f46ac6b485407aff11ec416398dcd4c91c

commit 2b58b7f46ac6b485407aff11ec416398dcd4c91c
Author:     Robin Knaur <rknaur@redhat.com>
AuthorDate: Mon Nov 9 13:35:54 2015 +0100
Commit:     Robin Knaur <rknaur@redhat.com>
CommitDate: Mon Nov 9 14:02:51 2015 +0100

    Provision VM formating
    https://bugzilla.redhat.com/show_bug.cgi?id=1277258

 app/views/miq_request/_prov_field.html.haml | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Comment 5 CFME Bot 2015-11-12 20:31:04 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=c5cf2d6c5660ff58deee185015608ad49d326194

commit c5cf2d6c5660ff58deee185015608ad49d326194
Author:     Robin Knaur <rknaur@redhat.com>
AuthorDate: Mon Nov 9 13:35:54 2015 +0100
Commit:     Robin Knaur <rknaur@redhat.com>
CommitDate: Wed Nov 11 11:17:03 2015 +0100

    Provision VM formating
    https://bugzilla.redhat.com/show_bug.cgi?id=1277258

 app/views/miq_request/_prov_field.html.haml | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Comment 6 CFME Bot 2015-11-12 20:34:02 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=73dea2c72394f2de6aaa88153f1ed9301b6305cc

commit 73dea2c72394f2de6aaa88153f1ed9301b6305cc
Merge: ba44717 c5cf2d6
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Nov 12 12:21:43 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Thu Nov 12 12:21:43 2015 -0500

    Merge branch 'bz-1277258' into '5.5.z'
    
    Provision VM formating
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277258
    Clean cherry-pick from https://github.com/ManageIQ/manageiq/pull/5349
    
    See merge request !400

 app/views/miq_request/_prov_field.html.haml | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Comment 7 Jeff Teehan 2015-11-19 18:40:08 UTC
Much better.  Moving to verified using
https://10.16.6.164/vm_infra/explorer running 5.5.0.11

Note: This is the Hyper-V version of CFME

Comment 9 errata-xmlrpc 2015-12-08 13:43:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.